package utilities;

import java.util.Arrays;
import java.util.List;

public enum DataDensity {

	LOW("Low"), HIGH("High");

	private final String name;

	DataDensity(final String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public static String[] getAllValues() {
		return new String[] { LOW.name, HIGH.name };
	}

	public static List<String> getAllValuesAsList() {
		return Arrays.asList(getAllValues());
	}

}
