package utilities;

import java.util.Arrays;
import java.util.List;

public enum Dimensionality {

	TWO_D("2D"), ONE_D("1D"), N_D("nD"), TREE("Tree"), GRAPH("Graph");

	private final String name;

	Dimensionality(final String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public static String[] getAllValues() {
		return new String[] { TWO_D.name, ONE_D.name, N_D.name, TREE.name, GRAPH.name };
	}

	public static List<String> getAllValuesAsList() {
		return Arrays.asList(getAllValues());
	}

}
