package utilities;

import java.util.Arrays;
import java.util.List;

public enum User {

	LAY_USER("Lay-user"), TECHIE("Techie");

	private final String name;

	User(final String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public static String[] getAllValues() {
		return new String[] { LAY_USER.name, TECHIE.name };
	}

	public static List<String> getAllValuesAsList() {
		return Arrays.asList(getAllValues());
	}

}
