package parser;

import java.util.List;

/**
 * Creates the XML file to be fed to the main algorithm.
 * 
 * @author michael.giambi
 *
 */

public interface XMLcreator {

	/**
	 * Creates a new XML file with the input provided by the user.
	 * 
	 * @param variables
	 *            The list of coordinates chosen by the user
	 * @param priorities
	 *            The list of the priorities assigned to each coordinate
	 */
	public void createXML(final List<String> variables, final List<Integer> priorities);

}
